<?php
  class Kontener
  {
    protected $tab = array(100, 200, 300, 400);
    public function getElement($index)
    {
      if(!is_numeric($index)){
        return false;
      }
      $index = (int) $index;
      if($index < 0 || $index >= count($this->tab)){
        return false;
      }
      else{
        return $this->tab[$index];
      }
    }
  }

  $kontener = new Kontener();

  if($_SERVER['argc'] < 2){
    exit("W wywołaniu należy podać wartość indeksu!");
  }

  $index = $_SERVER['argv'][1];

  $val = $kontener->getElement($index);
  if($val === false){
    echo "Nieprawidłowy indeks!";
  }
  else{
    echo "Element o indeksie $index to $val.";
  }
?>
